# HG changeset patch
# User kc1ckh@arrl.net
# Date 1439344196 14400
#      Tue Aug 11 21:49:56 2015 -0400
# Node ID bc5d2abe7ad3bca68b2678c70911bb85604d6f6e
# Parent  a4eba5650b19692607ddb3cb3561a3d8acfe69ba
Fix for ID-31 and decendants to propery get and set PSKIP and SKIP flags.

diff -r a4eba5650b19 -r bc5d2abe7ad3 chirp/drivers/id31.py
--- a/chirp/drivers/id31.py	Wed Jul 01 10:14:53 2015 -0700
+++ b/chirp/drivers/id31.py	Tue Aug 11 21:49:56 2015 -0400
@@ -254,7 +254,7 @@
 
         if _psk & bit:
             mem.skip = "P"
-        if _skp & bit:
+        elif _skp & bit:
             mem.skip = "S"
 
         return mem
@@ -297,7 +297,7 @@
             _skp |= bit
             _psk &= ~bit
         elif memory.skip == "P":
-            _skp &= ~bit
+            _skp |= bit
             _psk |= bit
         else:
             _skp &= ~bit